LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSheetFilterableEx Interface Referencepublished

represents something from which criteria for filtering can be read. More...

`import"XSheetFilterableEx.idl";`

Inheritance diagram for XSheetFilterableEx:

## Public Member Functions
com::sun::star::sheet::XSheetFilterDescriptor | createFilterDescriptorByObject ([in] com::sun::star::sheet::XSheetFilterable xObject)
| creates a filter descriptor for the specified filterable object from the contents of this object. More...
Public Member Functions inherited from XSheetFilterable
com::sun::star::sheet::XSheetFilterDescriptor | createFilterDescriptor ([in] boolean bEmpty)
| creates a filter descriptor. More...
void | filter ([in] com::sun::star::sheet::XSheetFilterDescriptor xDescriptor)
| performs a filter operation, using the settings of the passed filter descriptor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents something from which criteria for filtering can be read.

In general the current object will be used only to create the descriptor to filter another object, i.e. the advanced filter feature in a spreadsheet.

See also
  com::sun::star::sheet::SheetCellRange

Developers Guide
  Spreadsheet Documents - Filtering

## Member Function Documentation

## ◆ createFilterDescriptorByObject()

com::sun::star::sheet::XSheetFilterDescriptor createFilterDescriptorByObject | ( | [in] com::sun::star::sheet::XSheetFilterable | xObject | ) |

creates a filter descriptor for the specified filterable object from the contents of this object.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetFilterableEx.idl